Add the passenger's 1 to 5 star rating of the ride, optional written feedback, and optional tip amount in minor units and currency. The ride must already be dropped off, and ratings must be given within 24 hours of drop off. For purposes of display, 5 is considered the default rating. When this endpoint is successfully called, payment processing will begin.
Request
Path Params
Body Params application/json
Examples
Responses
🟢204Successfully added the rating
application/json
Bodyapplication/json
🟠400The 'error' field will be one of the following:
* `bad_parameter`: A validation error occurred
* `user_cannot_rate_this_ride`: Rides can only be rated once, within 24 hours of drop-off, and before
the user starts another ride
* `tip_too_large`: tip am
🟠409The 'error' field will be:
* `ride_not_finished`: Ride is still in progress (not yet in the droppedOff status)